/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLParamElement_H__
#define __GdomHTMLParamElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLParamElement GdomHTMLParamElement;
typedef struct _GdomHTMLParamElementClass GdomHTMLParamElementClass;


#define GDOM_TYPE_HTML_PARAM_ELEMENT            (gdom_html_param_element_get_type())
#define GDOM_HTML_PARAM_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_PARAM_ELEMENT, GdomHTMLParamElement))
#define GDOM_HTML_PARAM_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_PARAM_ELEMENT, GdomHTMLParamElement)Class)
#define GDOM_IS_HTML_PARAM_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_PARAM_ELEMENT))
#define GDOM_IS_HTML_PARAM_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_PARAM_ELEMENT))
#define GDOM_HTML_PARAM_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_PARAM_ELEMENT, GdomHTMLParamElementClass))

typedef struct _GdomHTMLParamElementPrivate GdomHTMLParamElementPrivate;

struct _GdomHTMLParamElement {
    GdomHTMLElement parent_instance;
    GdomHTMLParamElementPrivate *priv;
};

struct _GdomHTMLParamElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_param_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLParamElement_H__ */
